Apache log4cxx: OptionHandler Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OptionHandler Class Reference

Inherits Object.

Inherited by Appender`[virtual]`, Layout`[virtual]`, RollingPolicy`[virtual]`, TriggeringPolicy`[virtual]`, ErrorHandler`[virtual]`, and Filter`[virtual]`.

List of all members.

## Detailed Description

A string based interface to configure package components.

## Public Member Functions
virtual | ~OptionHandler ()
virtual void | activateOptions (log4cxx::helpers::Pool &p)=0
| Activate the options that were previously set with calls to option setters.
virtual void | setOption (const LogString &option, const LogString &value)=0
| Set `option` to `value`.

## Constructor & Destructor Documentation

virtual ~OptionHandler | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void activateOptions | ( | log4cxx::helpers::Pool & | p | ) | `[pure virtual]`

| Activate the options that were previously set with calls to option setters. This allows to defer activiation of the options until all options have been set. This is required for components which have related options that remain ambigous until all are set. For example, the FileAppender has the File and Append options both of which are ambigous until the other is also set. Implemented in AppenderSkeleton, ConsoleAppender, DailyRollingFileAppender, ODBCAppender, FileAppender, ExpressionFilter, LocationInfoFilter, DateLayout, OnlyOnceErrorHandler, HTMLLayout, SMTPAppender, SocketAppenderSkeleton, SocketHubAppender, SyslogAppender, TelnetAppender, NTEventLogAppender, PatternLayout, FilterBasedTriggeringPolicy, FixedWindowRollingPolicy, ManualTriggeringPolicy, RollingFileAppenderSkeleton, RollingPolicyBase, SizeBasedTriggeringPolicy, TimeBasedRollingPolicy, RollingFileAppender, SimpleLayout, Filter, FallbackErrorHandler, WriterAppender, and XMLLayout.

virtual void setOption | ( | const LogString & | option,
|  | const LogString & | value
| ) | `[pure virtual]`

| Set `option` to `value`. The handling of each option depends on the OptionHandler instance. Some options may become active immediately whereas other may be activated only when activateOptions is called. Implemented in AppenderSkeleton, AsyncAppender, ConsoleAppender, DailyRollingFileAppender, ODBCAppender, FileAppender, LevelMatchFilter, LevelRangeFilter, StringMatchFilter, DateLayout, OnlyOnceErrorHandler, HTMLLayout, SMTPAppender, SocketAppenderSkeleton, SocketHubAppender, SyslogAppender, TelnetAppender, NTEventLogAppender, PatternLayout, FilterBasedTriggeringPolicy, FixedWindowRollingPolicy, ManualTriggeringPolicy, RollingPolicyBase, SizeBasedTriggeringPolicy, RollingFileAppender, SimpleLayout, Filter, FallbackErrorHandler, WriterAppender, and XMLLayout.

The documentation for this class was generated from the following file:

- optionhandler.h